org.apache.http.protocol

## Class BasicHttpContext

- java.lang.Object
- - org.apache.http.protocol.BasicHttpContext

- All Implemented Interfaces:
    HttpContext
  Direct Known Subclasses:
    SyncBasicHttpContext

      @NotThreadSafe
      public class BasicHttpContext
      extends Object
      implements HttpContext

  Default implementation of `HttpContext`.

  Please note methods of this class are not synchronized and therefore may be threading unsafe.

  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.protocol.HttpContext

      `RESERVED_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHttpContext()`
    `BasicHttpContext(HttpContext parentContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `Object` | `getAttribute(String id)` Obtains attribute with the given name.
    `Object` | `removeAttribute(String id)` Removes attribute with the given name from the context.
    `void` | `setAttribute(String id, Object obj)` Sets value of the attribute with the given name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicHttpContext

          public BasicHttpContext()

    - #### BasicHttpContext

          public BasicHttpContext(HttpContext parentContext)

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute(String id)

      Description copied from interface: `HttpContext`
      Obtains attribute with the given name.
      Specified by:
        `getAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### setAttribute

          public void setAttribute(String id,
                          Object obj)

      Description copied from interface: `HttpContext`
      Sets value of the attribute with the given name.
      Specified by:
        `setAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
        `obj` - the attribute value.

    - #### removeAttribute

          public Object removeAttribute(String id)

      Description copied from interface: `HttpContext`
      Removes attribute with the given name from the context.
      Specified by:
        `removeAttribute` in interface `HttpContext`
      Parameters:
        `id` - the attribute name.
      Returns:
        attribute value, or `null` if not set.

    - #### clear

          public void clear()

      Since:
        4.2

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.